<appendix>

<title>Anhang E</title>
<sect1 id="appendixe">
<title>Kommandozeilen Optionen</title>
<programlisting>
$ gnucash --help-all
Aufruf:
  gnucash [OPTION …]  [datafile]

Hilfeoptionen:
  -h, --help                   Hilfeoptionen anzeigen
  --help-all                   Alle Hilfeoptionen anzeigen
  --help-gtk                   GTK+-Optionen anzeigen

GTK+-Optionen
  --class=KLASSE               Programmklasse, die vom Fenstermanager benutzt wird
  --name=NAME                  Programmname, der vom Fenstermanager benutzt wird
  --screen=BILDSCHIRM          X-Bildschirm, der verwendet werden soll
  --sync                       X-Aufrufe synchron verarbeiten
  --gtk-module=MODULE          Zusätzliche GTK+-Module laden
  --g-fatal-warnings           Alle Warnungen als fatal betrachten

Anwendungsoptionen:
  -v, --version                GnuCash Version anzeigen
  --debug                      Debug-Modus aktivieren: Besonders viele Log-Meldungen ausgeben.
  --extra                      Zusätzliche/instabile/Debug-Funktionen aktivieren.
  --log                        Loglevel einstellen; Beispiel »komponente.irgendwas=
                                 {debug,info,warn,crit,error}«
  --logto                      Datei, wo die Logmeldungen hingeschrieben werden; Voreinstellung 
                                 "/tmp/gnucash.trace"; kann auch "stderr" oder "stdout" sein.
  --nofile                     Zuletzt geöffnete Datei nicht öffnen
  --gconf-path=GCONFPFAD       Suchpfad für gconf-Abfragen setzen
  --add-price-quotes=DATEI     Börsenkurse zu angegebener Datei hinzufügen
  --namespace=REGEXP           Regulärer Ausdruck für den Namensstandard, in dem die Kurse 
                                 geholt werden sollen
  --display=ANZEIGE            X-Anzeige, die verwendet werden soll
</programlisting>
</sect1>

<sect1>
<title>Aufgaben, Menüs und Kurzwahl Tastenkombinationen.</title>
<para>

  <simplelist type='horiz' columns='2'>
    <member>Nach Buchungen suchen</member>
    <member><menuchoice>
      <shortcut><keycombo><keycap>Strg</keycap><keycap>f</keycap></keycombo></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Suchen&hellip;</guimenuitem></menuchoice>
    </member>  
  
    <member>Neue Datei</member>
    <member><menuchoice>
      <shortcut><keycombo><keycap>Strg</keycap><keycap>n</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Neu</guimenuitem><guimenuitem>Neue Datei</guimenuitem></menuchoice>
    </member>
  
    <member>Datei öffnen</member>
    <member>
      <menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>o</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Öffnen</guimenuitem><guimenuitem>Öffnen</guimenuitem></menuchoice>
    </member>
  
    <member>Datei speichern</member>
    <member>
      <menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>s</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Speichern</guimenuitem></menuchoice>
    </member>
  
    <member>Datei speichern unter&hellip;</member>
    <member>
      <menuchoice><shortcut><keycombo><keycap>Shift</keycap><keycap>Strg</keycap><keycap>s</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Speichern</guimenuitem></menuchoice>
    </member>
  
    <member>Buchung eingeben</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>t</keycap></keycombo></shortcut>
      <guimenu>Aktionen</guimenu><guimenuitem>Buchen&hellip;</guimenuitem></menuchoice>
    </member>
  
    <member>Ausgewähltes Konto löschen</member>
    <member>
      <menuchoice><shortcut><keycap>Entf</keycap></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Konto löschen&hellip;</guimenuitem></menuchoice>
    </member>

    <member>Ausgewähltes Konto bearbeiten</member>
    <member>
      <menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>e</keycap></keycombo></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Konto bearbeiten</guimenuitem></menuchoice>
    </member>

    <member>In der Buchungsansicht ausgewählten Text ausschneiden</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>x</keycap></keycombo></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Ausschneiden</guimenuitem></menuchoice>
    </member>

    <member>In der Buchungsansicht ausgewählten Text kopieren</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>c</keycap></keycombo></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Kopieren</guimenuitem></menuchoice>
    </member>

    <member>In der Buchungsansicht kopierten Text einfügen</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>v</keycap></keycombo></shortcut>
      <guimenu>Bearbeiten</guimenu><guimenuitem>Einfügen</guimenuitem></menuchoice>
    </member>

    <member>Registerkarte schließen</member>
    <member>
      <menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>w</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Schließen</guimenuitem></menuchoice>
    </member>

    <member>Seite einrichten</member>
    <member><menuchoice><shortcut><keycombo><keycap>Shift</keycap><keycap>Strg</keycap><keycap>p</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Seite einrichten</guimenuitem></menuchoice>
    </member>

    <member>Schecks oder Berichte drucken</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>p</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Drucken</guimenuitem></menuchoice>
    </member>

    <member>Datei Eigenschaften bearbeiten</member>
    <member><menuchoice><shortcut><keycombo><keycap>Alt</keycap><keycap>Return</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Eigenschaften</guimenuitem></menuchoice>
    </member>

    <member>&app; beenden</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>q</keycap></keycombo></shortcut>
      <guimenu>Datei</guimenu><guimenuitem>Beenden</guimenuitem></menuchoice>
    </member>

    <member>&app; Hilfe aufrufen</member>
    <member><menuchoice><shortcut><keycap>F1</keycap></shortcut>
      <guimenu>Hilfe</guimenu><guimenuitem>Inhalt</guimenuitem></menuchoice>
    </member>

    <member>Ansicht aktualisieren</member>
    <member><menuchoice><shortcut><keycombo><keycap>Strg</keycap><keycap>r</keycap></keycombo></shortcut>
      <guimenu>Ansicht</guimenu><guimenuitem>Aktualisieren</guimenuitem></menuchoice>
    </member>
  </simplelist>
</para>
<para>
  &app; speichert diese Tastenkombinationen in der Datei <filename>accelerator-map</filename> 
  im dem versteckten Ordner <filename>.gnucash</filename> in Ihrem persönlichen Verzeichnis.
  <!-- TODO how to add personal shortcuts -->
</para>
</sect1>

</appendix>

<!--  LocalWords:  gtk GTK class name screen sync module MODULE warnings debug
 -->
<!--  LocalWords:  version komponente info warn crit error logto stderr stdout
 -->
<!--  LocalWords:  nofile gconf path GCONFPFAD add price quotes namespace Entf
 -->
<!--  LocalWords:  REGEXP display accelerator map
 -->
